人氣 116°c

更改PHP版本出現Default Web Site Page

前幾天網站搬遷到別的網存空間公司,需要重新架起網站,經過幾個小時的努力,總算一切順利完成。但是在 Cpanel 控制台想為網站升級到更高的 PHP 版本時,再次打開網頁出現「Default Web Site Page」錯誤頁面。

在以前的舊 Hosting Server 並沒有這樣的問題。而且最奇怪的是,更改 PHP 版本後的幾分鐘,域名綁定的網站還可以打開,只是過了大概 20 分鐘左右,才會出現這個錯誤頁面。還有一奇點,在相同的空間計劃及 PHP 版本,建設了 2 個網站,一個以「.com」搭建,另一個是「.info」架站的,只有「.info」的網站,才會出現「Default Web Site Page」錯誤頁面。

本人反覆調查,還未知道是什麼原因,無耐!只好將那個用 .info 網域搭起的網站,降級到原有空間預設的 PHP 版本。請看圖片▼

網址:https://www.xxx.info/cgi-sys/defaultwebpage.cgi

SORRY!
If you are the owner of this website, please contact your hosting provider: [email protected]
It is possible you have reached this page because:

有些人說訪問網站出現這個頁面一般是域名(網域)沒綁定伺服器,也可能是 DNS 解析錯誤或新的 IP 還沒有更新造成的。

不論!是何種原因造成的,問題還得要及時解決才是上策。

修改 PHP 版本 (PHP Version update)

1. 進入 Cpanel 控制台,找到「軟體」Software 欄位,點擊「多 PHP 管理器」PHP Manager 請看圖片▼

2. 來到修改 PHP 版本頁面,首先勾選域名,然後下拉選擇 PHP 版本,確定按「套用」即可。請看圖片▼

注意:PHP 版本有區分 ea-xx 或 alt-xx 的,這一點要留意。

老薛主機的 PHP 版本有兩種,一種是 alt 開頭的 PHP 版本,另一種是 ea 開頭的 PHP 版本。根據博客123的測試,老薛的香港虛擬主機就要選擇 ea 開頭的 PHP 版本,美國虛擬主機就要選擇 alt 開頭的 PHP 版本。反正如果 WordPress 站點可能會出現“Your PHP installation appears to be missing the MySQL extension which is required by WordPress.”錯誤提示,就根據本文操作切換 PHP 版本即可。如果原來是 ea 開頭的版本會出錯就選擇 alt 開頭的版本,反之亦然。

如果你真的不知道購買的服務器空間,默認安裝的是那一個 PHP 版本,就選「inherit」繼承,日後!會跟隨伺服器空間的步伐前進。請看圖片▼

相關文章:
1. PHP 7/8速度比5.6慢!?
標籤: